package com.goldenwater.slgc.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slgc.domain.AttLkBase;
import com.goldenwater.slgc.mapper.AttLkBaseMapper;
import com.goldenwater.slgc.service.LakeService;

/** 湖泊信息 业务实现 */
@Service
public class LakeServiceImpl implements LakeService {
    @Autowired
    private AttLkBaseMapper attLkBaseMapper;

    @Override
    public List<AttLkBase> selectAttLkBaseList(AttLkBase attLkBase) {
        return attLkBaseMapper.selectAttLkBaseList(attLkBase);
    }

    @Override
    public AttLkBase selectAttLkBaseById(String lkCode) {
        return attLkBaseMapper.selectAttLkBaseById(lkCode);
    }

    @Override
    public int deleteAttLkBaseByIds(String[] lkCodes) {
        return attLkBaseMapper.deleteAttLkBaseByIds(lkCodes);
    }

    @Override
    public int insertAttLkBase(AttLkBase attLkBase) {
        return attLkBaseMapper.insertAttLkBase(attLkBase);
    }

    @Override
    public int updateAttLkBase(AttLkBase attLkBase) {
        return attLkBaseMapper.updateAttLkBase(attLkBase);
    }
}
